Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.poi.ss.format
Enum CellFormatType

    java.lang.Object
      java.lang.Enum<CellFormatType>
          org.apache.poi.ss.format.CellFormatType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CellFormatType>

    public enum CellFormatType

extends java.lang.Enum<CellFormatType>

The different kinds of formats that the formatter understands.

Author:
  Ken Arnold, Industrious Media LLC

Enum Constant Summary
`DATE` A date format.
`ELAPSED` An elapsed time format.
`GENERAL` The general (default) format; also used for `"General"`.
`NUMBER` A numeric format.
`TEXT` A text format.

Method Summary
`static CellFormatType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CellFormatType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GENERAL

    public static final CellFormatType GENERAL

  The general (default) format; also used for `"General"`.

### NUMBER

    public static final CellFormatType NUMBER

  A numeric format.

### DATE

    public static final CellFormatType DATE

  A date format.

### ELAPSED

    public static final CellFormatType ELAPSED

  An elapsed time format.

### TEXT

    public static final CellFormatType TEXT

  A text format.

Method Detail

### values

    public static CellFormatType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CellFormatType c : CellFormatType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CellFormatType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.